<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BlockStateHolder (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlockStateHolder (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":18,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],16:["t5","Default Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/BlockStateHolder.html" target="_top">Frames</a></li>
<li><a href="BlockStateHolder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.block</div>
<h2 title="Interface BlockStateHolder" class="title">Interface BlockStateHolder&lt;B extends BlockStateHolder&lt;B&gt;&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>, <a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>, <a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState</a>, <a href="../../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html" title="class in com.sk89q.worldedit.blocks">MobSpawnerBlock</a>, <a href="../../../../../com/sk89q/worldedit/blocks/SignBlock.html" title="class in com.sk89q.worldedit.blocks">SignBlock</a>, <a href="../../../../../com/sk89q/worldedit/blocks/SkullBlock.html" title="class in com.sk89q.worldedit.blocks">SkullBlock</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BlockStateHolder&lt;B extends BlockStateHolder&lt;B&gt;&gt;</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t5" class="tableTab"><span><a href="javascript:show(16);">Default Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#equalsFuzzy-com.sk89q.worldedit.world.block.BlockStateHolder-">equalsFuzzy</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;?&gt;&nbsp;o)</code>
<div class="block">Checks if the type is the same, and if the matched states are the same.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>default java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#getAsString--">getAsString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#getBlockType--">getBlockType</a></span>()</code>
<div class="block">Get the block type</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>&lt;V&gt;&nbsp;V</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#getState-com.sk89q.worldedit.registry.state.Property-">getState</a></span>(<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;property)</code>
<div class="block">Gets the value at the given state</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#getStates--">getStates</a></span>()</code>
<div class="block">Gets an immutable collection of the states.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#toBaseBlock--">toBaseBlock</a></span>()</code>
<div class="block">Gets a <a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block"><code>BaseBlock</code></a> from this BlockStateHolder.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#toBaseBlock-com.sk89q.jnbt.CompoundTag-">toBaseBlock</a></span>(<a href="../../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;compoundTag)</code>
<div class="block">Gets a <a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block"><code>BaseBlock</code></a> from this BlockStateHolder.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#toImmutableState--">toImmutableState</a></span>()</code>
<div class="block">Returns an immutable <a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block"><code>BlockState</code></a> from this BlockStateHolder.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="type parameter in BlockStateHolder">B</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#with-com.sk89q.worldedit.registry.state.Property-V-">with</a></span>(<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;property,
    V&nbsp;value)</code>
<div class="block">Returns a BlockState with the given state and value applied.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBlockType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockType</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;getBlockType()</pre>
<div class="block">Get the block type</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The type</dd>
</dl>
</li>
</ul>
<a name="with-com.sk89q.worldedit.registry.state.Property-java.lang.Object-">
<!--   -->
</a><a name="with-com.sk89q.worldedit.registry.state.Property-V-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>with</h4>
<pre>&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="type parameter in BlockStateHolder">B</a>&nbsp;with(<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;property,
           V&nbsp;value)</pre>
<div class="block">Returns a BlockState with the given state and value applied.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>property</code> - The state</dd>
<dd><code>value</code> - The value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The modified state, or same if could not be applied</dd>
</dl>
</li>
</ul>
<a name="getState-com.sk89q.worldedit.registry.state.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>&lt;V&gt;&nbsp;V&nbsp;getState(<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;property)</pre>
<div class="block">Gets the value at the given state</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>property</code> - The state</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value</dd>
</dl>
</li>
</ul>
<a name="getStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStates</h4>
<pre>java.util.Map&lt;<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;,java.lang.Object&gt;&nbsp;getStates()</pre>
<div class="block">Gets an immutable collection of the states.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The states</dd>
</dl>
</li>
</ul>
<a name="equalsFuzzy-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equalsFuzzy</h4>
<pre>boolean&nbsp;equalsFuzzy(<a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;?&gt;&nbsp;o)</pre>
<div class="block">Checks if the type is the same, and if the matched states are the same.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - other block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if equal</dd>
</dl>
</li>
</ul>
<a name="toImmutableState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toImmutableState</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;toImmutableState()</pre>
<div class="block">Returns an immutable <a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block"><code>BlockState</code></a> from this BlockStateHolder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A BlockState</dd>
</dl>
</li>
</ul>
<a name="toBaseBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBaseBlock</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;toBaseBlock()</pre>
<div class="block">Gets a <a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block"><code>BaseBlock</code></a> from this BlockStateHolder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The BaseBlock</dd>
</dl>
</li>
</ul>
<a name="toBaseBlock-com.sk89q.jnbt.CompoundTag-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBaseBlock</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;toBaseBlock(<a href="../../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;compoundTag)</pre>
<div class="block">Gets a <a href="../../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block"><code>BaseBlock</code></a> from this BlockStateHolder.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>compoundTag</code> - The NBT Data to apply</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The BaseBlock</dd>
</dl>
</li>
</ul>
<a name="getAsString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAsString</h4>
<pre>default&nbsp;java.lang.String&nbsp;getAsString()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/BlockStateHolder.html" target="_top">Frames</a></li>
<li><a href="BlockStateHolder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
